Bug 240048 - [NEW PORT] net/sems: SIP media server
Summary: [NEW PORT] net/sems: SIP media server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nathan Whitehorn
URL: https://github.com/sems-server/sems/
Keywords: feature, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-22 21:43 UTC by Nathan Whitehorn
Modified: 2019-08-27 03:36 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (nwhitehorn)


Attachments
Diff to ports tree (27.43 KB, patch)
2019-08-22 21:43 UTC, Nathan Whitehorn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Whitehorn freebsd_committer 2019-08-22 21:43:20 UTC
Created attachment 206804 [details]
Diff to ports tree

This adds a new port for the SEMS SIP media server, which provides a number of functions (Voicemail, conferencing, B2BUA, etc.) in conjunction with a SIP router like Kamailio or OpenSIPS.

The most recent release (1.6.0) is both old and has a significant number of issues on FreeBSD, so this corresponds to the current development branch, which should hopefully become 1.7 in not too very long. I've added one other patch (from SEMS pull request 57) that is required to make message-waiting notifications behave in a useful way but has yet to be merged upstream.

Website: https://github.com/sems-server/sems/
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 02:18:22 UTC
@Nathan You just need ports committer to review/accept the changes to commit this change yourself. Happy to help with that if you can that QA (at least portlint -AC, poudriere) passes. There's at least a couple of minor ports compliance issues at first glance:

- WRKSRC override shouldn't be required with USE_GITHUB/GH_* vars setup correctly

+USE_GITHUB=	yes
+GH_ACCOUNT=	sems-server
+GH_TAGNAME=	7400051

should be after USES

- USES/USE should all be grouped/sorted [1] 

- Q: DOCSDIR entries contain '1.7.0', this looks like 'real' (possibly pre-release) version of the software (vs g20190822). Given previous release is 1.6.0 [2], DISTVERSION=1.7.0.a<datestamp> or DISTVERSION=1.7.0.g<datestamp> is probably better, as this will allow the future 1.7.0 release version to be > than that version string:

# pkg version -t 1.7.0 1.7.0.g20190822
>
# pkg version -t 1.7.0 1.7.0.a20190822
>


If you'd like to create a phabricator review, add 'contributor reviewers (ports)' (and myself if you like) to the Reviewers list, that should get you the review you need

^Triage: Reporter is (src) committer, assign accordingly

[1] https://www.freebsd.org/doc/en/books/porters-handbook/porting-order.html
[2] https://github.com/sems-server/sems/releases
Comment 2 Nathan Whitehorn freebsd_committer 2019-08-25 00:05:34 UTC
(In reply to Kubilay Kocak from comment #1)

See https://reviews.freebsd.org/D21410

Some minor differences from the patch in this PR to correct issues noted by portlint and Poudriere.
Comment 3 commit-hook freebsd_committer 2019-08-27 03:16:23 UTC
A commit references this bug:

Author: nwhitehorn
Date: Tue Aug 27 03:15:37 UTC 2019
New revision: 509981
URL: https://svnweb.freebsd.org/changeset/ports/509981

Log:
  net/sems: SIP Express Media Server (new port)

  SEMS is an open-source SIP media server, implementing a B2BUA,
  voicemail, IVRs, announcements, etc. It is designed to be
  complementary to SIP proxy-only tools like Kamailio, OpenSIPS, etc.

  This adds a new port for the SEMS SIP media server, which provides a
  number of functions (Voicemail, conferencing, B2BUA, etc.) in conjunction
  with a SIP router like Kamailio or OpenSIPS.

  The most recent release (1.6.0) is both old and has a significant number
  of issues on FreeBSD, so this corresponds to the current development
  branch, which should hopefully become 1.7 in not too very long. I've
  added one other patch (from SEMS pull request 57) that is required to
  make message-waiting notifications behave in a useful way but has yet
  to be merged upstream.

  WWW: https://github.com/sems-server/sems/

  PR:		240048
  Reviewed by:	koobs (ports)
  Approved by:	koobs (ports)
  Differential Revision:	D21410

Changes:
  head/GIDs
  head/UIDs
  head/net/Makefile
  head/net/sems/
  head/net/sems/Makefile
  head/net/sems/distinfo
  head/net/sems/files/
  head/net/sems/files/patch-core-CMakeLists.txt
  head/net/sems/files/patch-mwi-57
  head/net/sems/files/sems.in
  head/net/sems/pkg-descr
  head/net/sems/pkg-plist